> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/management-api/device/list-devices.md).

# List Devices

{% hint style="info" %}
Show all devices the requesting manager has access permissions to.
{% endhint %}

**URL**: `/api/v1/devices/`\
**Method**: `GET`

## Query Parameters

### Ordering

* `order_by` - Which attribute to order the list by.
  * Default ordering is ascending. Make descending by prefixing the attribute name with `-`.
  * Example: `order_by=created_at`
  * Example: `order_by=-created_at`

### Pagination

{% hint style="info" %}
Default pagination is 20 results per page.
{% endhint %}

* `limit` - Number of results to return per page.
  * Example: `limit=20`
* `offset` - The initial index from which to return the results.
  * Example: `offset=21`

### Filtering

<details>

<summary>Possible filters</summary>

* `license`
* `blacklisted`
* `hostname`
* `hardware_id`
* `os`
* `license_users__id`
* `device_active`
* `type`

</details>

## Success Response

Code: `200 OK`

{% code title="Response (application/json)" %}

```json
{
    "count": 10,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 1590981949868340,
            "device_variables": [],
            "created_at": "2020-06-02T10:32:54Z",
            "updated_at": "2020-06-02T12:35:17Z",
            "hardware_id": "1C0B-D53D-2A92-9665-9634-1FE5-1326-56DF-5401-63B1-88D5-DB7D-FB02-D440-3760-720D",
            "time_activated": "2020-03-11T10:22:29Z",
            "time_deactivated": null,
            "validity_period": null,
            "device_active": true,
            "type": "desktop",
            "os": "Microsoft Home 10",
            "sdk_build_version": "Java SDK 0.0.1",
            "last_check": "2020-03-13T11:04:45Z",
            "app_ver": "1.0.",
            "hostname": "DESKTOP-2K64QES",
            "ip": "192.168.202.1",
            "external_ip": "46.234.71.160",
            "mac_address": null,
            "is_vm": true,
            "vm_info": "VMware ESX 3",
            "floating_last_seen": null,
            "floating_in_use": false,
            "blacklisted": false,
            "license": {
                "id": 1606461720853199,
                "license_key": null
            }
        },
        ...
    ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/management-api/device/list-devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
